#include <iostream>
using namespace std;
int main()
{
    long a, d, k;
    cin >> a;
    d=2;
    cout << 1;
    k=0;
    while (d<a)
    {
        if (a%d == 0)
            {
                cout << " " << d;
                k=1;
            }
        d++;
    }
    cout<< " "<< a;
    if (k==1)
    cout<<"\ncomposite number";
}
